Loading...
Searching...
No Matches
casacore::MSMainEnums Class Reference
ms package (libcasa_ms) » MeasurementSets_module

Enums for the MeasurementSet main table. More...

`#include <MSMainEnums.h>`

## Public Types

enum

PredefinedColumns {
UNDEFINED_COLUMN ,
ANTENNA1 ,
ANTENNA2 ,
ARRAY_ID ,
DATA_DESC_ID ,
EXPOSURE ,
FEED1 ,
FEED2 ,
FIELD_ID ,
FLAG ,
FLAG_CATEGORY ,
FLAG_ROW ,
INTERVAL ,
OBSERVATION_ID ,
PROCESSOR_ID ,
SCAN_NUMBER ,
SIGMA ,
STATE_ID ,
TIME ,
TIME_CENTROID ,
UVW ,
WEIGHT ,
NUMBER_REQUIRED_COLUMNS ,
ANTENNA3 ,
BASELINE_REF ,
CORRECTED_DATA ,
DATA ,
FEED3 ,
FLOAT_DATA ,
IMAGING_WEIGHT ,
LAG_DATA ,
MODEL_DATA ,
PHASE_ID ,
PULSAR_BIN ,
PULSAR_GATE_ID ,
SIGMA_SPECTRUM ,
TIME_EXTRA_PREC ,
UVW2 ,
VIDEO_POINT ,
WEIGHT_SPECTRUM ,
CORRECTED_WEIGHT_SPECTRUM ,
NUMBER_PREDEFINED_COLUMNS
}

| The Main table colums with predefined meaning. More...
enum | PredefinedKeywords { UNDEFINED_KEYWORD , ANTENNA , DATA_DESCRIPTION , FEED , FIELD , FLAG_CMD , HISTORY , MS_VERSION , OBSERVATION , POINTING , POLARIZATION , PROCESSOR , SPECTRAL_WINDOW , STATE , NUMBER_REQUIRED_KEYWORDS , CAL_TABLES , DOPPLER , FREQ_OFFSET , SORT_COLUMNS , SORT_ORDER , SORTED_TABLES , SOURCE , SYSCAL , WEATHER , NUMBER_PREDEFINED_KEYWORDS }
| Keywords with a predefined meaning. More...

## Detailed Description

Enums for the MeasurementSet main table.

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Etymology

This class contains the enum defininitions for the main MeasurementSet table.

### Synopsis

This class does nothing. It is merely a container for the enumerations used by the MeasurementSet class. These enumerations define the standard columns, keywords.

### Example

See the documentation for MeasurementSet for examples on the use of these enumerations.

Definition at line 59 of file MSMainEnums.h.

## Member Enumeration Documentation

## PredefinedColumns

enum casacore::MSMainEnums::PredefinedColumns

The Main table colums with predefined meaning.

Enumerator
UNDEFINED_COLUMN | "True" columns are defined. TYPE - UNIT - MEASURE
ANTENNA1 | ID of first antenna in antenna-pair. This is a key into the ANTENNA table. Ranges from 0 to NUM_ANT-1. Int
ANTENNA2 | ID of second antenna in antenna-pair. For SD ANTENNA1==ANTENNA2 Int
ARRAY_ID | ARRAY id. Int.
DATA_DESC_ID | Data description id Int.
EXPOSURE | Effective integration time (i.e. <=INTERVAL) Double - s.
FEED1 | Feed id on ANTENNA1. Int.
FEED2 | Feed id on ANTENNA2. Int.
FIELD_ID | Unique id for this pointing (or drift scan) Int.
FLAG | The data flags, array of bools with same shape as data. Data is flagged bad if FLAG is True. Bool(Nc, Nf)
FLAG_CATEGORY | Flag category, allows for multiple categories of flagging, which can selectively be reset. The cumulative effect is reflected in FLAG. This column should have an attached keyword CATEGORY which is a String (Ncat) of categories (e.g, ONLINE, FLAG_CMD, INTERACTIVE) Bool (Nc, Nf, Ncat)
FLAG_ROW | Flag all data in this row if True. Bool
INTERVAL | The extent of this sample, sampling interval. Double - s.
OBSERVATION_ID | Index into OBSERVATION table. Int.
PROCESSOR_ID | Processor Id, points to PROCESSOR table with information on the correlator or backend setup. Int
SCAN_NUMBER | Scan number. Int.
SIGMA | Estimated rms noise for channel with unity bandpass response. Float(Nc) - Same units as the DATA column.
STATE_ID | State Id, points to STATE table with info on current observing mode, calibration and reference signals etc. (Mainly single dish) Int
TIME | Modified Julian Day number (JD-2400000.5) for midpoint of integration. For high precision timing, add the value from TIME_EXTRA_PREC. Double - s - EPOCH.
TIME_CENTROID | Modified Julian Day number (JD-2400000.5) for centroid of integration. Double - s - EPOCH.
UVW | UVW coordinates. Double(3) - m - UVW.
WEIGHT | Weight of spectrum. This is the weight assigned by the correlator and does NOT get overwritten by e.g. imaging tasks that do weighting. Float(Nc).
NUMBER_REQUIRED_COLUMNS | Not a column, but just an enum specifying the number of required columns.
ANTENNA3 | Antenna3 - for triple correlations products. Int
BASELINE_REF | Reference antenna for this baseline, True for ANTENNA1 Bool.
CORRECTED_DATA | The Corrected complex visibility data (optional). Complex(Nc, Nf)
DATA | Complex visibility matrix. The UNITS are unspecified to allow for the calibrated data to show up as a DATA column as well but in a calibrated MS. Complex(Nc, Nf)
FEED3 | Feed id on ANTENNA3 Int.
FLOAT_DATA | Floating point data column. For simple single dish work this can be used instead of the complex DATA column. Float(Nc, Nf)
IMAGING_WEIGHT | The imaging weights (optional). Float(Nf)
LAG_DATA | Complex correlation function or lag spectrum for each correlation product Complex(Nc, Nl).
MODEL_DATA | The model visibility data (optional). Complex(Nc,Nf)
PHASE_ID | Switching phase Id Int.
PULSAR_BIN | For a pulsar the correlations are assumed to be measured for a limited number of pulse phase bins. This is the particular bin for which this data was measured. (optional) Int.
PULSAR_GATE_ID | Unique id for this pulsar gate. Index into PULSAR_GATE table. (optional) Int.
SIGMA_SPECTRUM | Estimated rms noise for each data point. To be used instead of SIGMA if present. Float(Nc,Nf) - Same units as the DATA column.
TIME_EXTRA_PREC | Additional precision for TIME if required. Add this to TIME to obtain the exact EPOCH. Double - s.
UVW2 | UVW for second pair of triple correlation product. Double(3) - m
VIDEO_POINT | Zero frequency point - needed for transform back to lag domain Complex(Nc).
WEIGHT_SPECTRUM | Weight for each channel. To be used instead of WEIGHT if present. Float(Nf).
CORRECTED_WEIGHT_SPECTRUM | Corrected Weight for each channel. If present can be used with corrected_data Float(Nf).
NUMBER_PREDEFINED_COLUMNS | Not a column, but just a final enum specifying the number of enums.

Definition at line 62 of file MSMainEnums.h.

## PredefinedKeywords

enum casacore::MSMainEnums::PredefinedKeywords

Keywords with a predefined meaning.

Enumerator
UNDEFINED_KEYWORD | "True" keywords are defined.
ANTENNA | Antenna subtable. Antenna positions, mount-types etc.
DATA_DESCRIPTION | Data Description subtable. Gives spectral window and polarization id.
FEED | Feed subtable. Responses, offsets, beams etc.
FIELD | Field subtable. Position etc. for each pointing.
FLAG_CMD | Flag command subtable. List of flag commands.
HISTORY | History information subtable.
MS_VERSION | MS Version number. Float.
OBSERVATION | Observation subtable. Project, observer, schedule.
POINTING | Pointing information subtable.
POLARIZATION | Polarization setup information subtable.
PROCESSOR | Back-end processor information subtable. Description of correlator etc.
SPECTRAL_WINDOW | Spectral window subtable. Frequencies, bandwidths, polarizations.
STATE | State subtable. Observing modes and states (cal, ref etc.)
NUMBER_REQUIRED_KEYWORDS | Not a keyword, but an enum specifying the number of required keywords The last required keyword should be set to this enum.
CAL_TABLES | Calibration tables associated with this MS. Table(NUM_CAL_TABLES)
DOPPLER | Doppler tracking information subtable.
FREQ_OFFSET | Frequency offset information subtable.
SORT_COLUMNS | Listing of sort columns for each sorted table. String(NUM_SORTED_TABLES)
SORT_ORDER | Listing of sort orders for each sorted table. String(NUM_SORTED_TABLES)
SORTED_TABLES | Sorted reference tables of the main table. First one is main table. Table(NUM_SORTED_TABLES)
SOURCE | Source subtable. Positions etc. for each source.
SYSCAL | SysCal subtable. System calibration data (Tsys etc.)
WEATHER | Weather subtable. Weather info for each antenna.
NUMBER_PREDEFINED_KEYWORDS | Not a keyword, but just a final enum specifying the number of enums.

Definition at line 249 of file MSMainEnums.h.

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSMainEnums.h